# Conditional build:
%bcond_without	allegro     # without allegro support
#
Summary:	Guichan - small, efficient C++ GUI library designed for games
Summary(pl.UTF-8):	Guichan - mała, wydajna biblioteka GUI w C++ przeznaczona do gier
Name:		guichan
Version:	0.8.2
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://guichan.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	af535d7f387e774e3197cef8023ea105
Patch0:		link.patch
URL:		http://guichan.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
%{?with_allegro:BuildRequires:      allegro-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use symbold from libguichan.so (fixing would cause link loop)
%define		skip_post_check_so	libguichan_.*.so.*

%description
Guichan is a small, efficient C++ GUI library designed for games. It
comes with a standard set of widgets and can use several different
objects for displaying graphics and grabbing user input.

%description -l pl.UTF-8
Guichan to mała, wydajna biblioteka GUI w C++ przeznaczona do gier.
Zawiera standardowy zestaw widgetów, może używać kilku różnych
obiektów do wyświetlania grafiki i pobierania wejścia od użytkownika.

%package devel
Summary:	Header files for Guichan library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Guichan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Guichan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Guichan.

%package static
Summary:	Static version of Guichan libraries
Summary(pl.UTF-8):	Statyczne wersje bibliotek Guichan
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Guichan libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek Guichan.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_allegro:--disable-allegro}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libguichan*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguichan*.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguichan*.so
%{_libdir}/libguichan*.la
%{_includedir}/guichan*
%{_pkgconfigdir}/guichan*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libguichan*.a
%changelog
* Sat Nov 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/guichan.git;a=log;h=master

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 552fc45
- release 3 (by relup.sh)

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 48db44b
- cleanup linking issues
- rel 2

* Tue Oct 13 2009 lisu <lisu@pld-linux.org> ee41cab
- up to 0.8.2
- .pc file included into pkgconfigdir
- no more undefined references

* Mon Feb 02 2009 lisu <lisu@pld-linux.org> 176e266
- TODO

* Thu Jan 01 2009 arvenil <arvenil@pld-linux.org> 7591f5d
- release 2

* Sat Aug 16 2008 pablo <pablo@pld-linux.org> fa1926d
- added %{__libtoolize} and BR: libtool

* Sun Apr 27 2008 lisu <lisu@pld-linux.org> ba062b0
- enable allegro by default (now it works)

* Sun Apr 27 2008 lisu <lisu@pld-linux.org> d440f7c
- builds with allegro
- TODO

* Sun Apr 27 2008 lisu <lisu@pld-linux.org> 4ef22bd
- up to 0.8.1
- ghost soname symlinks

* Wed Apr 16 2008 lisu <lisu@pld-linux.org> 3e8c183
- 0.8.0

* Sun Jul 15 2007 lisu <lisu@pld-linux.org> 142e1c6
- 0.7.1

* Mon Jul 02 2007 lisu <lisu@pld-linux.org> f487ba9
- 0.7.0

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b05cb54
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f82f71c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc75040
- converted to UTF-8

* Sat Jan 27 2007 lisu <lisu@pld-linux.org> 80b75f7
- 0.6.1

* Thu Jan 18 2007 lisu <lisu@pld-linux.org> 07dcd88
- 0.6.0
- auto* macros added

* Mon Aug 07 2006 Jakub Bogusz <qboosh@pld-linux.org> dd26bc4
- obsolete

* Thu Aug 03 2006 spider <spider@pld-linux.org> 6200dcc
- up to 0.5.0
- patch aplied in sources

* Mon May 22 2006 spider <spider@pld-linux.org> 21b8c7d
- rel 2

